List published content
curl --request GET \
--url https://api.app.hrizn.io/v1/public/content/published \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.app.hrizn.io/v1/public/content/published"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/content/published', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/content/published', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/content/published",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"slug": "<string>",
"date": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z",
"featured_image": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"has_more": true,
"next_cursor": "<string>",
"total_count": 123
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}List published content
Returns a paginated list of content with posting_status of published or scheduled.
GET
/
content
/
published
List published content
Authorizations
Your Hrizn API key (prefix hzk_)
Query Parameters
Number of results per page
Required range:
1 <= x <= 100Base64-encoded pagination cursor
Filter by posting status. Omit to return both.
Available options:
published, scheduled Response
Paginated list of published content
Hide child attributes
Hide child attributes
Available options:
basic, qa, expert, modellanding, comparison, salesevent Posting status
Available options:
published, scheduled URL slug
Publish or scheduled date (ISO 8601, UTC)
Timestamp when first published (ISO 8601, UTC)
Fully-resolved featured image URL
Last modified on June 30, 2026
⌘I
